/************************************************************************************************
*
*
*		ColourPopUp.h		- high level call to work with PalMDEF function
*
*
*		15/7/94		1994 by Graham Cox
*
*
*************************************************************************************************/

#ifndef __COLOURPOPUP__
#define __COLOURPOPUP__

#pragma options align= mac68k

typedef struct
{
	MenuInfo		menuRecord;
	CTabHandle		menuColours;
	long			menuRefCon;
	short			initIndex;
}
CPMenuRecord, *CPMenuPtr, **CPMenuHandle;

#pragma options align= reset

long	PopUpColourTable(Point location,CTabHandle aCTable,RGBColor *selectedColour,short initialItem);
long	PopUpColourPalette(Point location,short cTableID,RGBColor *selectedColour,short initialItem);


extern pascal void	PalMDEFFunction(short message,MenuHandle theMenu,
							Rect *menuRect,Point hitPt,short *whichItem);

extern void	CalcCPMenuSize(MenuHandle theMenu,short chipsH,short chipsV);
extern void CalcPopupMenuSize(Point hitPt,short item,Rect *mRect,short chipsH,short chipsV);
extern void DrawCPMenu(MenuHandle theMenu,Rect *mBounds,short chipsH,short chipsV);
extern void ChooseCPMenuItem(MenuHandle theMenu,short *theItem,Rect *mBounds,Point mHit,short chipsH,short chipsV);
void		DrawSICN(short SICNid,short index,Point location);
void		InstallColourUserItem(DialogPtr theDialog,short theItem);
pascal void	StandardColourUserItem(DialogPtr theDialog,short theItem);
void		DrawStandardColourSelector(Rect *bounds,RGBColor *theColour);
void		UpdateDialogItem(DialogPtr theDialog,short theItem);
void		InvertStandardColourSelector(Rect *bounds);
void		Frame3DRect(Rect *bounds,Boolean zEffectFlag);


#define	kColourPopUpMenuID		1066
#define	kStdPopUpArrowSICN		-3990


extern RGBColor	gCurrentPopUpColour;

#endif