property theIters : [20, 40, 60, 80, 100, 120, 140, 160]
property theDialog : {style:movable dialog, name:"Gauge", size:[300, 125], contents:[
	{class:push button, bounds:[10, 95, 90, 115], name:"Forward"}, 
	{class:push button, bounds:[110, 95, 190, 115], name:"Backward"}, 
	{class:push button, bounds:[210, 95, 290, 115], name:"Done"}, 
	{class:pop up, bounds:[10 - 4, 50, 150, 50 + 20], name:"Iterations:", value:3, contents:theIters}, 
	{class:gauge, bounds:[10, 10, 290, 10 + 12], value:0, max value:100}, 
	{class:gauge, bounds:[10, 30, 290, 30 + 12], value:0, max value:-1} 
		], default item:3}

--tell application "FileMaker Pro"
activate
dd install with fonts {name:"Geneva", size:10} with grayscale
set dlog to dd make dialog theDialog

repeat
	set i to dd interact with user --for max ticks 60
	if i = 3 then exit repeat
	if i = 1 then
		set maxVal to item (dd get value of item 4 of dlog) of theIters
		repeat with x from 1 to maxVal
			dd set value of items 5 thru 6 of dlog to [x, x]
		end repeat
	else if i = 2 then
		set maxVal to item (dd get value of item 4 of dlog) of theIters
		repeat with x from maxVal to 0 by -1
			dd set value of items 5 thru 6 of dlog to [x, x]
		end repeat
	end if
end repeat
dd delete dlog
dd uninstall
--end tell