property dlogMain : {size:[383, 299], name:
	"Internet Config Assistant", closeable:true, style:standard window, contents:[
	{class:icon push button, bounds:[322, 274, 342, 293], contents:1000, style:5, enabled:false}, 
	{class:icon push button, bounds:[357, 274, 377, 293], contents:1001, style:5}, 
	{class:group box, bounds:[-1, -1, 384, 22]}, 
	{class:group box, bounds:[-1, 268, 384, 300]}, 
	{class:static text, bounds:[342, 278, 357, 298], justification:center, font:5, contents:1}, 
	{class:static text, bounds:[16, 4, 360, 19], font:5, contents:""} 
		]}
property dlogSaveChanges : {size:[400, 110], contents:[
	{class:push button, bounds:[330, 80, 390, 100], name:"Save"}, 
	{class:push button, bounds:[260, 80, 320, 100], name:"Cancel"}, 
	{class:push button, bounds:[68, 80, 158, 100], name:"Dont Save"}, 
	{class:icon, bounds:[13, 10, 45, 42], contents:2}, 
	{class:static text, bounds:[68, 10, 390, 58], font:1, contents:"Save changes before quiting?"}]}
property dTitle : [
	"Introduction", "Personal Information", "Geographic Location", 
	"E-mail Address and Password", "E-mail Account and Host Computer", 
	"Signature", "World Wide Web Home Page", "Newsgroup Host Computer", "Conclusion"]
property dValue : [
	null, 
	["<user name>", "<organization>"], 
	1, 
	["<email>", "<password>"], 
	["<email account>", "<SMTP host>"], 
	["<signature>"], 
	["<home page>"], 
	["<NNTP host>"], 
	null 
		]
property dRegion : ["United Kingdom", "Europe", "North America", "South America", "Africa", "Asia", "Austrailia"]
property dPage : [
	[
		{class:static text, bounds:[16, 31, 343, 73], contents:"This assistant asks you some questions to help you make some basic settings for your Internet connections."}, 
		{class:static text, bounds:[15, 69, 320, 102], contents:"Specifically, the assistant will set up your Internet browsing, electronic mail, and newsgroup connections."}, 
		{class:static text, bounds:[16, 107, 334, 166], contents:"If you subscribe to an online service (for example America Online) you will have to set up that service separately."} 
			], 
	[
		{class:text field, bounds:[32, 113, 292, 129]}, 
		{class:text field, bounds:[32, 164, 292, 180]}, 
		{class:static text, bounds:[16, 93, 216, 107], font:5, contents:"What is your name?"}, 
		{class:static text, bounds:[16, 144, 311, 159], font:5, contents:"What is your company or organization?"}, 
		{class:static text, bounds:[17, 32, 302, 79], contents:"Your name and company or organization are used by your Internet browsing and e-mail programs to help identify you to the people you send e-mail to and (when you choose to) to others on the Internet."} 
			], 
	[
		{class:pict, bounds:[12, 71, 372, 249], contents:300}, 
		{class:static text, bounds:[16, 31, 370, 43], font:5, contents:"Where are you located?"}, 
		{class:static text, bounds:[16, 43, 370, 65], contents:"Click on your approximate location."}, 
		{class:poly radio button, bounds:[12, 71, 372, 249], contents:[175, 29, 178, 29, 182, 40, 175, 42, 175, 30]}, 
		{class:poly radio button, bounds:[184, 89, 235, 126]}, 
		{class:poly radio button, bounds:[29, 90, 142, 146], contents:[0, 0, 93, 0, 113, 24, 62, 56, 30, 20, 0, 14, 0, 0]}, 
		{class:poly radio button, bounds:[100, 146, 162, 235], contents:[0, 0, 32, 4, 53, 17, 60, 20, 60, 25, 32, 72, 17, 70, 21, 34, 12, 19, 14, 10, 0, 0]}, 
		{class:poly radio button, bounds:[176, 122, 255, 200]}, 
		{class:poly radio button, bounds:[230, 80, 355, 172]}, 
		{class:poly radio button, bounds:[305, 171, 347, 210]} 
			], 
	[
		{class:text field, bounds:[32, 102, 292, 118]}, 
		{class:text field, bounds:[32, 185, 292, 201]}, 
		{class:static text, bounds:[16, 31, 353, 74], contents:"The next few questions are about e-mail settings. If you do not know the answers to any of these questions, ask your system administrator or e-mail account provider."}, 
		{class:static text, bounds:[16, 82, 363, 97], font:5, contents:"What is your e-mail address?"}, 
		{class:static text, bounds:[16, 165, 375, 180], font:5, contents:"What is your e-mail password?"}, 
		{class:static text, bounds:[28, 209, 350, 242], contents:"If you leave your password blank, you will have to enter your password when you want to receive mail."}, 
		{class:static text, bounds:[28, 126, 357, 154], contents:"This address serves as the return address for messages that you send, and it is where people will send you e-mail."} 
			], 
	[
		{class:text field, bounds:[32, 89, 292, 105]}, 
		{class:text field, bounds:[32, 171, 292, 187]}, 
		{class:static text, bounds:[16, 31, 371, 58], contents:"Again, if you do not know the answers to any of these questions, ask your system administrator or e-mail account provider."}, 
		{class:static text, bounds:[16, 150, 339, 164], font:5, contents:"Which computer serves as your e-mail host?"}, 
		{class:static text, bounds:[29, 113, 357, 138], contents:"Your e-mail account, also called your POP (Post Office Protocol) account, is the place where you receive your mail."}, 
		{class:static text, bounds:[29, 195, 354, 234], contents:"Usually called the SMTP (Simple Mail Transfer Protocol) host, this computer is where you send your outgoing e-mail."}, 
		{class:static text, bounds:[16, 68, 295, 83], font:5, contents:"What is your e-mail account?"} 
			], 
	[
		{class:text field, bounds:[15, 101, 371, 168]}, 
		{class:static text, bounds:[16, 31, 373, 70], contents:"You can automatically add text to the end of your e-mail messages and other Internet correspondence. The text usually contains your name, address, telephone number, e-mail address, or a favorite quotation."}, 
		{class:static text, bounds:[14, 81, 320, 96], font:5, contents:"What text would you like added automatically?"}, 
		{class:static text, bounds:[28, 172, 374, 191], contents:"If you do not want any text added, leave this space blank."} 
			], 
	[
		{class:text field, bounds:[32, 88, 292, 104]}, 
		{class:static text, bounds:[16, 31, 372, 57], contents:"When you open your World Wide Web browser program, the Web site that you assign as your home page appears first."}, 
		{class:static text, bounds:[16, 68, 368, 84], font:5, contents:"Which Web site do you want to make your home page?"}, 
		{class:static text, bounds:[29, 113, 369, 159], contents:"Web site addresses usually start with www followed by a period and the rest of the address; for example www.apple.com."} 
			], 
	[
		{class:text field, bounds:[36, 89, 296, 105]}, 
		{class:static text, bounds:[16, 32, 376, 64], contents:"Newsgroups are an Internet service that allows you to read or join ongoing discussions with other people on a wide range of subjects."}, 
		{class:static text, bounds:[16, 69, 366, 85], font:5, contents:"Which computer serves as your newsgroup host?"}, 
		{class:static text, bounds:[33, 112, 352, 152], contents:"If you do not know the answer to this question, ask your Internet service provider or network administrator."} 
			], 
	[
		{class:push button, bounds:[296, 238, 371, 258], name:"Go Ahead"}, 
		{class:push button, bounds:[210, 238, 285, 258], name:"Cancel"}, 
		{class:push button, bounds:[16, 238, 110, 258], name:"Show Details"}, 
		{class:static text, bounds:[16, 32, 353, 80], contents:"Based on your answers, this assistant is ready to set up your basic Internet browsing, e-mail, and newsgroup connections."}, 
		{class:static text, bounds:[16, 57, 140, 230], font:5, contents:""}, 
		{class:static text, bounds:[140, 57, 500, 230], contents:""}, 
		{class:static text, bounds:[140, 57 + 72, 500, 57 + 120], contents:""} 
			] 
		]
property noDetails : "This assistant is ready to create an Internet preferences file with the following information:"
property detailNames : "Name:
Organization:
E-mail address:
E-mail password:
E-mail (POP) account:
E-mail (SMTP) host:
Signature:



WWW Home Page:
Newsgroup host:
Default FTP servers:"

global d, doQuit, page
-- Fonts: System, Control, Label, Data, 
dd install with fonts [null, null, {name:"Geneva", size:9}, null, {name:"Geneva", size:9, style:bold}] with grayscale
set d to dd make dialog dlogMain
set doQuit to false
set page to 0
set showDetails to true
GoPage(1)
repeat until doQuit
	set i to dd interact with user
	if i = -1 then -- Close box
		set doQuit to not (dd auto dialog dlogSaveChanges)'s item 2
	else if i = 1 then -- Prev
		GoPage(page - 1)
	else if i = 2 then -- Next
		GoPage(page + 1)
		set showDetails to true
	else if page = dPage's length then
		if i = 7 then -- Go Ahead
			--
			--	Should use Internet Config to apply settings
			--
			beep 1
			set doQuit to true
		else if i = 8 then -- Cancel
			beep 2
			set doQuit to true
		else if showDetails then -- Show details
			dd set name of dialog item 9 of d to "Hide Details"
			tell dValue to set v to item 2's item 1 & return & item 2's item 2 & return 
				& item 4's item 1 & return & item 4's item 2 & return 
				& item 5's item 1 & return & item 5's item 2 & return & return & return & return & return 
				& item 7's item 1 & return 
				& item 8's item 1 & return & dRegion's item (item 3) --"<location>"
			dd set contents of dialog items 10 thru 13 of d to [noDetails, detailNames, v, dValue's item 6's item 1]
			set showDetails to false
		else -- Hide details
			dd set name of dialog item 9 of d to "Show Details"
			dd set contents of dialog items 10 thru 13 of d to [dPage's item -1's item 4's contents, "", "", "", ""]
			set showDetails to true
		end if
	end if
end repeat
dd uninstall

on GoPage(n)
	if page  0 then
		if page = 3 then
			set vs to dd get value of dialog items 10 thru -1 of d
			repeat with j from 1 to vs's length
				if vs's item j then
					set dValue's item page to j
					exit repeat
				end if
			end repeat
		else
			set vs to dValue's item page
			if vs  null then set dValue's item page to dd get value of dialog items 7 thru (6 + (vs's length)) of d
		end if
		dd delete dialog items 7 thru -1 of d
	end if
	dd set enabled of dialog items 1 thru 2 of d to [n > 1, n < dPage's length]
	dd set contents of dialog items 5 thru 6 of d to [n, dTitle's item n]
	dd make (dPage's item n) at d
	set vs to dValue's item n
	if n = 3 then
		--dd set value of dialog item 9 of d to 0
		dd set value of dialog item (9 + vs) of d to (true)
	else if vs  null then
		dd set value of dialog items 7 thru (6 + (vs's length)) of d to vs
	end if
	set page to n
end GoPage