property x : 220
set doQuit to false
set theDialog to {style:standard window, name:"Noughts & Crosses", size:[x, x + 40], contents:[
	{class:push button, bounds:[x - 90, x + 10, x - 10, x + 30], name:"New Game"}, 
	{class:push button, bounds:[x - 160, x + 10 + 99, x - 100, x + 30 + 999], name:"Quit"}, 
	{class:static text, bounds:[10, 10, x, 26], contents:""}] 
	& MakeGroup(30, 60) 
	, closeable:true}

dd install with fonts [null, null, null, null, {name:"Geneva", size:9, style:bold}] with grayscale
set d1 to dd make dialog theDialog
repeat until doQuit
	set icn to 1000
	set numGoes to 0
	repeat with j from 4 to 12
		dd set contents of item j of d1 to -1
		dd set value of item j of d1 to (false)
	end repeat
	dd set contents of item 3 of d1 to "New Game: O to play"
	beep
	repeat
		set i to dd interact with user
		if i = 1 then
			exit repeat
		else if i = -1 or i = 2 then
			set doQuit to true
			exit repeat
		else
			dd set contents of item i of d1 to icn
			if icn = 1000 then
				set icn to 1001
				dd set contents of item 3 of d1 to "X to play"
			else
				set icn to 1000
				dd set contents of item 3 of d1 to "O to play"
			end if
			set numGoes to numGoes + 1
		end if
		if numGoes = 9 then exit repeat
	end repeat
end repeat
dd uninstall

on MakeGroup(y, d)
	local g, x, y
	set g to []
	repeat 3 times
		set x to 20
		repeat 3 times
			set g to g & [{class:icon sticky button, bounds:[x, y, x + d, y + d], contents:-1}]
			set x to x + d - 1
		end repeat
		set y to y + d - 1
	end repeat
	return g
end MakeGroup