set F to list folder (path to fonts folder)
set L to []
repeat with i in F
	set L to L & [[i as text, random number 200, (current date) + (random number 900) * days]]
end repeat
set F to false -- free memory
set order to 5

dd install with fonts [{name:"Geneva", size:9}, null, null, null, {style:underline}] with grayscale
dd make dialog {size:[370, 190], style:standard window, closeable:true, contents:[
	{class:list box, contents:Sort(L, order - 4), bounds:[8, 24, 362, 182], column widths:[140, 40, 80]}, 
	{class:poly push button, bounds:[12, 4, 38, 17]}, 
	{class:poly push button, bounds:[152, 4, 173, 17]}, 
	{class:poly push button, bounds:[192, 4, 214, 17]}, 
	{class:static text, contents:"Name", bounds:[12, 4, 38, 17], font:5}, 
	{class:static text, contents:"Size", bounds:[152, 4, 174, 17]}, 
	{class:static text, contents:"Date", bounds:[192, 4, 214, 17]} 
		], name:"Sorted List Demo"}

repeat
	set i to dd interact with user
	if i  2 and i  4 and i + 3  order then
		dd set font of item order of dialog 1 to 4
		set order to i + 3
		dd set font of item order of dialog 1 to 5
		dd set contents of item 1 of dialog 1 to Sort(L, order - 4)
	else if i = -1 then
		exit repeat
	end if
end repeat
dd uninstall

on TextList(L)
	set R to []
	repeat with n in L
		set R to R & (n's item 1 & tab & n's item 2 & tab & n's item 3's date string)
	end repeat
	return R
end TextList

on Sort(L, i)
	set aLen to L's length
	if aLen < 2 then return textList(L)
	set R to [L's item 1]
	set rLen to 1
	repeat with n from 2 to aLen
		set p to L's item n
		set v1 to p's item i
		if v1  R's item -1's item i then
			set R to R & [p]
		else
			set rLo to 1
			set rHi to rLen
			repeat
				set m to (rLo + rHi) div 2
				set x to R's item m
				if v1  x's item i then
					if rHi  m then
						set rLo to m + 1
					else
						if m + 1 = rLen then
							set R to R's items 1 thru -2 & [p, x]
						else
							set R to R's items 1 thru m & [p] & R's items (m + 1) thru -1
						end if
						exit repeat
					end if
				else
					if m  rLo then
						set rHi to m
					else
						if m = 1 then
							set R to [p] & R
						else
							set R to R's items 1 thru (m - 1) & [p] & R's items m thru -1
						end if
						exit repeat
					end if
				end if
			end repeat
		end if
		set rLen to rLen + 1
	end repeat
	return TextList(R)
end Sort